Extending Qt Creator Manual | Aggregation Namespace

Extending Qt Creator Manual 4.7.1

# Aggregation Namespace

The Aggregation namespace contains support for bundling related components, such that each component exposes the properties and behavior of the other components to the outside. More...

Header: | #include <Aggregation>

## Functions

T * | query(int *obj)
int | query_all(int *)

## Detailed Description

The Aggregation namespace contains support for bundling related components, such that each component exposes the properties and behavior of the other components to the outside.

Components that are bundled to an Aggregate can be "cast" to each other and have a coupled life cycle. See the documentation of Aggregation::Aggregate for details and examples.

## Function Documentation

### T *Aggregation::query(int *obj)

### int Aggregation::query_all(int *)